%define _unpackaged_files_terminate_build 0

Summary:	Access control list utilities.
Name:		acl
Group:		System Environment/Base
License:	GPL
Version:	2.2.7
Release:	1.5.1
Source:		http://acl.bestbits.at/current/tar/acl-%{version}.src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%files
  %defattr(-,root,root)
  #%doc README CHANGES.gz LICENSE PORTING
  %doc %{_mandir}/man1/chacl.1*
  %doc %{_mandir}/man1/getfacl.1*
  %doc %{_mandir}/man1/setfacl.1*
  %doc %{_mandir}/man5/acl.5*

  %attr(0444,root,root)
  %{_datadir}/locale/de/LC_MESSAGES/acl.mo

  %attr(0555,root,root)
  %{_bindir}/chacl
  %{_bindir}/getfacl
  %{_bindir}/setfacl


%package -n libacl
Summary:	Dynamic library for access control list support.
Group:		Development/Libraries
Prereq:		/sbin/ldconfig

%description -n libacl
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%files -n libacl
  %attr(0444,root,root)	/lib/libacl.so.1.1.0
  %attr(0555,root,root)	/lib/libacl.so.1


%package -n libacl-devel
Summary:	Access control list static libraries and headers.
Group:		Development/Libraries
Requires:	libacl

%description -n libacl-devel
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

%files -n libacl-devel
  %defattr(-,root,root)
  %{_mandir}/man3/acl_add_perm.3*
  %{_mandir}/man3/acl_calc_mask.3*
  %{_mandir}/man3/acl_check.3*
  %{_mandir}/man3/acl_clear_perms.3*
  %{_mandir}/man3/acl_cmp.3*
  %{_mandir}/man3/acl_copy_entry.3*
  %{_mandir}/man3/acl_copy_ext.3*
  %{_mandir}/man3/acl_copy_int.3*
  %{_mandir}/man3/acl_create_entry.3*
  %{_mandir}/man3/acl_delete_def_file.3*
  %{_mandir}/man3/acl_delete_entry.3*
  %{_mandir}/man3/acl_delete_perm.3*
  %{_mandir}/man3/acl_dup.3*
  %{_mandir}/man3/acl_entries.3*
  %{_mandir}/man3/acl_equiv_mode.3*
  %{_mandir}/man3/acl_error.3*
  %{_mandir}/man3/acl_extended_fd.3*
  %{_mandir}/man3/acl_extended_file.3*
  %{_mandir}/man3/acl_free.3*
  %{_mandir}/man3/acl_from_mode.3*
  %{_mandir}/man3/acl_from_text.3*
  %{_mandir}/man3/acl_get_entry.3*
  %{_mandir}/man3/acl_get_fd.3*
  %{_mandir}/man3/acl_get_file.3*
  %{_mandir}/man3/acl_get_perm.3*
  %{_mandir}/man3/acl_get_permset.3*
  %{_mandir}/man3/acl_get_qualifier.3*
  %{_mandir}/man3/acl_get_tag_type.3*
  %{_mandir}/man3/acl_init.3*
  %{_mandir}/man3/acl_set_fd.3*
  %{_mandir}/man3/acl_set_file.3*
  %{_mandir}/man3/acl_set_permset.3*
  %{_mandir}/man3/acl_set_qualifier.3*
  %{_mandir}/man3/acl_set_tag_type.3*
  %{_mandir}/man3/acl_size.3*
  %{_mandir}/man3/acl_to_any_text.3*
  %{_mandir}/man3/acl_to_text.3*
  %{_mandir}/man3/acl_valid.3*

  %defattr(0444,root,root)
  %{_includedir}/acl/libacl.h
  %{_includedir}/sys/acl.h
  %{_libdir}/libacl.a
  %{_libdir}/libacl.la

  %defattr(0555,root,root)
  %{_libdir}/libacl.so
  /lib/libacl.a
  /lib/libacl.la
  /lib/libacl.so


%prep
%setup -q

%build
  make configure
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  export DIST_ROOT="$RPM_BUILD_ROOT"
  export DIST_INSTALL=`pwd`/install.manifest
  export DIST_INSTALL_DEV=`pwd`/install-dev.manifest
  export DIST_INSTALL_LIB=`pwd`/install-lib.manifest

  make install DIST_MANIFEST="$DIST_INSTALL"
  make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"

  make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
  make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

  make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
  make -C build/rpm rpmfiles-lib DIST_MANIFEST="$DIST_INSTALL_LIB"


%post -n libacl   -p /sbin/ldconfig
%postun -n libacl -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.2.7, Release 1.5.1
  - Backport to Thrust.

* Sat Jul 12 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.2.7, Release 1.9.1
  - Initial build for Flick.
